package com.ruoyi.device.mqtt.domain.decoder;

import com.ruoyi.device.mqtt.domain.BaseJsonBody;

import java.math.BigDecimal;

/**
 * 报税口上行数据
 *
 * @author lwm
 */
public class TaxDataUp extends BaseJsonBody
{
    /** 接口号 */
    private String interfaceNo;

    /** 枪号 */
    private Integer gunNo;

    /** 是否启用新国标（1:启用，0:禁用） */
    private Integer newNationalStandard;

    /** 新国标报税口 */
    private Integer newNationalStandardTaxNo;

    /** 日期：年-月-日 */
    private String queryDate;

    /** 税控序列号 */
    private String taxNo;

    /** 厂家 */
    private String manufacturer;

    /** 枪个数 */
    private Integer gunNumber;

    /** 查询税控序列号执行结果 */
    private String queryTaxResult;

    /** 金额 */
    private BigDecimal amount;

    /** 油量 */
    private BigDecimal volume;

    /** 单价 */
    private BigDecimal unitPrice;

    /** 是否密文（1:是，0:否） */
    private Integer encryption;

    /** 总金额 */
    private BigDecimal totalAmount;

    /** 总油量 */
    private BigDecimal totalVolume;

    /** 查询累计数据执行结果 */
    private String queryAccumulatedResult;

    public TaxDataUp()
    {
        super();
    }

    public String getInterfaceNo()
    {
        return interfaceNo;
    }

    public void setInterfaceNo(String interfaceNo)
    {
        this.interfaceNo = interfaceNo;
    }

    public Integer getGunNo()
    {
        return gunNo;
    }

    public void setGunNo(Integer gunNo)
    {
        this.gunNo = gunNo;
    }

    public Integer getNewNationalStandard()
    {
        return newNationalStandard;
    }

    public void setNewNationalStandard(Integer newNationalStandard)
    {
        this.newNationalStandard = newNationalStandard;
    }

    public Integer getNewNationalStandardTaxNo()
    {
        return newNationalStandardTaxNo;
    }

    public void setNewNationalStandardTaxNo(Integer newNationalStandardTaxNo)
    {
        this.newNationalStandardTaxNo = newNationalStandardTaxNo;
    }

    public String getQueryDate()
    {
        return queryDate;
    }

    public void setQueryDate(String queryDate)
    {
        this.queryDate = queryDate;
    }

    public String getTaxNo()
    {
        return taxNo;
    }

    public void setTaxNo(String taxNo)
    {
        this.taxNo = taxNo;
    }

    public String getManufacturer()
    {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer)
    {
        this.manufacturer = manufacturer;
    }

    public Integer getGunNumber()
    {
        return gunNumber;
    }

    public void setGunNumber(Integer gunNumber)
    {
        this.gunNumber = gunNumber;
    }

    public String getQueryTaxResult()
    {
        return queryTaxResult;
    }

    public void setQueryTaxResult(String queryTaxResult)
    {
        this.queryTaxResult = queryTaxResult;
    }

    public BigDecimal getAmount()
    {
        return amount;
    }

    public void setAmount(BigDecimal amount)
    {
        this.amount = amount;
    }

    public BigDecimal getVolume()
    {
        return volume;
    }

    public void setVolume(BigDecimal volume)
    {
        this.volume = volume;
    }

    public BigDecimal getUnitPrice()
    {
        return unitPrice;
    }

    public void setUnitPrice(BigDecimal unitPrice)
    {
        this.unitPrice = unitPrice;
    }

    public Integer getEncryption()
    {
        return encryption;
    }

    public void setEncryption(Integer encryption)
    {
        this.encryption = encryption;
    }

    public BigDecimal getTotalAmount()
    {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount)
    {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getTotalVolume()
    {
        return totalVolume;
    }

    public void setTotalVolume(BigDecimal totalVolume)
    {
        this.totalVolume = totalVolume;
    }

    public String getQueryAccumulatedResult()
    {
        return queryAccumulatedResult;
    }

    public void setQueryAccumulatedResult(String queryAccumulatedResult)
    {
        this.queryAccumulatedResult = queryAccumulatedResult;
    }
}
